Index: CKEditor/branches/features/aria/_source/lang/en.js
===================================================================
--- CKEditor/branches/features/aria/_source/lang/en.js	(revision 4931)
+++ CKEditor/branches/features/aria/_source/lang/en.js	(revision 4932)
@@ -32,7 +32,5 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1, press Alt+0 for help',
-	editorWysiwygModeVoiceLabel : 'Wysiwyg mode',
-	editorSourceModeVoiceLabel : 'Source mode',
+	editorTitle		: 'Rich text editor, %1, press ALT 0 for help.',
 	dialogVoiceLabel : '',
 
Index: CKEditor/branches/features/aria/_source/plugins/sourcearea/plugin.js
===================================================================
--- CKEditor/branches/features/aria/_source/plugins/sourcearea/plugin.js	(revision 4931)
+++ CKEditor/branches/features/aria/_source/plugins/sourcearea/plugin.js	(revision 4932)
@@ -17,7 +17,4 @@
 		var sourcearea = CKEDITOR.plugins.sourcearea;
 
-		var sourceareaLabel = editor.lang.editorTitle.replace( '%1', editor.name ),
-			 sourceareaDescriptiveLabel = editor.lang.editorSourceModeVoiceLabel;
-
 		editor.on( 'editingBlockReady', function()
 			{
@@ -32,8 +29,4 @@
 								holderElement.setStyle( 'position', 'relative' );
 
-							// Accessibility label for iframe document.
-							var labelId = editor.name + '_editing_textarea_label',
-								 descriptionId = editor.name + '_editing_textarea_desc';
-
 							// Create the source area <textarea>.
 							editor.textarea = textarea = new CKEDITOR.dom.element( 'textarea' );
@@ -43,6 +36,5 @@
 									tabIndex : -1,
 									'role' : 'textbox',
-									'aria-labelledby' : labelId,
-									'aria-describedby' : descriptionId
+									'aria-label' : editor.lang.editorTitle.replace( '%1', editor.name )
 								});
 							textarea.addClass( 'cke_source' );
@@ -98,19 +90,6 @@
 							// <textarea> to it.
 							holderElement.setHtml( '' );
-
-							var label = CKEDITOR.dom.element.createFromHtml(
-								'<div style="display:none">' +
-									'<span id="' + labelId + '">' +
-										CKEDITOR.tools.htmlEncode( sourceareaLabel ) +
-									'</span>' +
-									'<span id="' + descriptionId + '">' +
-										CKEDITOR.tools.htmlEncode( sourceareaDescriptiveLabel ) +
-									'</span>' +
-								'</div>'
-								, CKEDITOR.document );
-
 							holderElement.append( textarea );
 							textarea.setStyles( styles );
-							label.insertBefore( textarea );
 
 							textarea.on( 'blur', function()
Index: CKEditor/branches/features/aria/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/branches/features/aria/_source/plugins/wysiwygarea/plugin.js	(revision 4931)
+++ CKEditor/branches/features/aria/_source/plugins/wysiwygarea/plugin.js	(revision 4932)
@@ -242,11 +242,7 @@
 				? editor.config.enterMode == CKEDITOR.ENTER_DIV ? 'div' : 'p' : false;
 
-			var frameLabel = editor.lang.editorTitle.replace( '%1', editor.name ),
-				 frameDescriptiveLabel = editor.lang.editorWysiwygModeVoiceLabel;
-
 			editor.on( 'editingBlockReady', function()
 				{
 					var mainElement,
-						label,
 						iframe,
 						isLoadingData,
@@ -255,4 +251,6 @@
 						fireMode;
 
+					var frameLabel = editor.lang.editorTitle.replace( '%1', editor.name );
+
 					// Support for custom document.domain in IE.
 					var isCustomDomain = CKEDITOR.env.isCustomDomain();
@@ -263,25 +261,6 @@
 						if ( iframe )
 							iframe.remove();
-						if ( label )
-							label.remove();
 
 						frameLoaded = 0;
-
-						// Accessibility label for iframe document.
-						var labelId = editor.name + '_editing_frame_label',
-							 descriptionId = editor.name + '_editing_frame_desc';
-
-						label = CKEDITOR.dom.element.createFromHtml(
-							'<div style="display:none">' +
-								'<span id="' + labelId + '">' +
-									CKEDITOR.tools.htmlEncode( frameLabel ) +
-								'</span>' +
-								'<span id="' + descriptionId + '">' +
-									CKEDITOR.tools.htmlEncode( frameDescriptiveLabel ) +
-								'</span>' +
-							'</div>'
-							, CKEDITOR.document );
-
-						mainElement.append( label );
 
 						iframe = CKEDITOR.dom.element.createFromHtml( '<iframe' +
@@ -297,8 +276,7 @@
   							' tabIndex="-1"' +
   							' allowTransparency="true"' +
-							' role="region"'	 +
-							' aria-multiline="true"' 	+
-							' aria-labelledby="' + labelId + '"' +
-							' aria-describedby="' + descriptionId + '"' +
+							' role="region"' +
+							' aria-multiline="true"' +
+							' aria-label="' + frameLabel + '"' +
   							'></iframe>' );
 