Index: CKEditor/branches/features/aria/_source/skins/kama/dialog.css
===================================================================
--- CKEditor/branches/features/aria/_source/skins/kama/dialog.css	(revision 4951)
+++ CKEditor/branches/features/aria/_source/skins/kama/dialog.css	(revision 4952)
@@ -170,4 +170,10 @@
 }
 
+.cke_skin_kama .cke_hc a:hover.cke_dialog_tab
+{
+	padding: 2px 6px !important;
+	border-width: 3px;
+}
+
 .cke_skin_kama a.cke_dialog_tab_selected,
 .cke_skin_kama a:link.cke_dialog_tab_selected,
@@ -178,4 +184,14 @@
 	background-position: 0 -1279px;
 	cursor: default;
+}
+
+.cke_skin_kama .cke_hc a.cke_dialog_tab_selected,
+.cke_skin_kama .cke_hc a:link.cke_dialog_tab_selected,
+.cke_skin_kama .cke_hc a:active.cke_dialog_tab_selected,
+.cke_skin_kama .cke_hc a:hover.cke_dialog_tab_selected,
+.cke_skin_kama .cke_hc a:visited.cke_dialog_tab_selected
+{
+	padding: 2px 6px !important;
+	border-width: 3px;
 }
 
@@ -426,4 +442,11 @@
 }
 
+.cke_skin_kama .cke_hc a:hover.cke_dialog_ui_button,
+.cke_skin_kama .cke_hc a:focus.cke_dialog_ui_button,
+.cke_skin_kama .cke_hc a:active.cke_dialog_ui_button
+{
+	border-width: 2px;
+}
+
 /* Skip hover effect on IE6 */
 .cke_skin_kama .cke_browser_iequirks a:hover.cke_dialog_ui_button span,
@@ -758,2 +781,10 @@
 	border-color: #C7C78F;
 }
+
+.cke_skin_kama .cke_hc .cke_dialog_tabs a,
+.cke_skin_kama .cke_hc .cke_dialog_footer a
+{
+	opacity: 1.0;
+	filter: alpha(opacity=100);
+	border: 1px solid white;
+}
Index: CKEditor/branches/features/aria/_source/skins/office2003/dialog.css
===================================================================
--- CKEditor/branches/features/aria/_source/skins/office2003/dialog.css	(revision 4951)
+++ CKEditor/branches/features/aria/_source/skins/office2003/dialog.css	(revision 4952)
@@ -258,4 +258,9 @@
 	background-color: #f7f8fd;
 }
+.cke_skin_office2003 .cke_hc a:hover.cke_dialog_tab
+{
+	padding: 2px 3px !important;
+	border-width: 3px;
+}
 
 .cke_skin_office2003 a.cke_dialog_tab_selected,
@@ -270,4 +275,13 @@
 	cursor: default;
 }
+.cke_skin_office2003 .cke_hc a.cke_dialog_tab_selected,
+.cke_skin_office2003 .cke_hc a:link.cke_dialog_tab_selected,
+.cke_skin_office2003 .cke_hc a:active.cke_dialog_tab_selected,
+.cke_skin_office2003 .cke_hc a:hover.cke_dialog_tab_selected,
+.cke_skin_office2003 .cke_hc a:visited.cke_dialog_tab_selected
+{
+	padding: 2px 3px !important;
+	border-width: 3px;
+}
 
 /* single_page */
@@ -276,4 +290,12 @@
 {
 	display: none;
+}
+
+.cke_skin_office2003 .cke_hc .cke_dialog_tabs a,
+.cke_skin_office2003 .cke_hc .cke_dialog_footer a
+{
+	opacity: 1.0;
+	filter: alpha(opacity=100);
+	border: 1px solid white;
 }
 
@@ -405,4 +427,9 @@
 	background-color: #8db1ff;
 }
+.cke_skin_office2003 .cke_hc a:focus span.cke_dialog_ui_button,
+.cke_skin_office2003 .cke_hc a:active span.cke_dialog_ui_button
+{
+	border-width: 2px;
+}
 
 .cke_skin_office2003 .cke_dialog_footer_buttons
Index: CKEditor/branches/features/aria/_source/skins/v2/dialog.css
===================================================================
--- CKEditor/branches/features/aria/_source/skins/v2/dialog.css	(revision 4951)
+++ CKEditor/branches/features/aria/_source/skins/v2/dialog.css	(revision 4952)
@@ -255,4 +255,9 @@
 	background-color: #f1f1e3;
 }
+.cke_skin_v2 .cke_hc a:hover.cke_dialog_tab
+{
+	padding: 2px 3px !important;
+	border-width: 3px;
+}
 
 .cke_skin_v2 a.cke_dialog_tab_selected,
@@ -267,4 +272,21 @@
 	cursor: default;
 }
+.cke_skin_v2 .cke_hc a.cke_dialog_tab_selected,
+.cke_skin_v2 .cke_hc a:link.cke_dialog_tab_selected,
+.cke_skin_v2 .cke_hc a:active.cke_dialog_tab_selected,
+.cke_skin_v2 .cke_hc a:hover.cke_dialog_tab_selected,
+.cke_skin_v2 .cke_hc a:visited.cke_dialog_tab_selected
+{
+	padding: 2px 3px !important;
+	border-width: 3px;
+}
+
+.cke_skin_v2 .cke_hc .cke_dialog_tabs a,
+.cke_skin_v2 .cke_hc .cke_dialog_footer a
+{
+	opacity: 1.0;
+	filter: alpha(opacity=100);
+	border: 1px solid white;
+}
 
 /* single_page */
@@ -274,4 +296,5 @@
 	display: none;
 }
+
 
 .cke_skin_v2 .cke_single_page .cke_dialog_title
@@ -399,4 +422,10 @@
 }
 
+.cke_skin_v2 .cke_hc a:focus span.cke_dialog_ui_button,
+.cke_skin_v2 .cke_hc a:active span.cke_dialog_ui_button
+{
+	border-width: 2px;
+}
+
 .cke_skin_v2 .cke_dialog_footer_buttons
 {