Index: CKEditor/branches/features/aria/_source/lang/en.js
===================================================================
--- CKEditor/branches/features/aria/_source/lang/en.js	(revision 4953)
+++ CKEditor/branches/features/aria/_source/lang/en.js	(revision 4954)
@@ -378,4 +378,5 @@
 		height	: 'Height',
 		lockRatio	: 'Lock Ratio',
+		unlockRatio	: 'Unlock Ratio',
 		resetSize	: 'Reset Size',
 		border	: 'Border',
Index: CKEditor/branches/features/aria/_source/plugins/image/dialogs/image.js
===================================================================
--- CKEditor/branches/features/aria/_source/plugins/image/dialogs/image.js	(revision 4953)
+++ CKEditor/branches/features/aria/_source/plugins/image/dialogs/image.js	(revision 4954)
@@ -147,4 +147,9 @@
 		else
 			ratioButton.addClass( 'cke_btn_unlocked' );
+
+		var lang = dialog._.editor.lang.image,
+			label =  lang[  dialog.lockRatio ? 'unlockRatio' : 'lockRatio' ];
+		ratioButton.setAttribute( 'title', label )
+		ratioButton.getFirst().setText( label );
 
 		return dialog.lockRatio;
@@ -759,8 +764,8 @@
 													},
 													html : '<div>'+
-														'<a href="javascript:void(0)" tabindex="-1" title="' + editor.lang.image.lockRatio +
-														'" class="cke_btn_locked" id="btnLockSizes" role="button"></a>' +
+														'<a href="javascript:void(0)" tabindex="-1" title="' + editor.lang.image.unlockRatio +
+														'" class="cke_btn_locked" id="btnLockSizes" role="button"><span class="cke_label">' + editor.lang.image.unlockRatio + '</span></a>' +
 														'<a href="javascript:void(0)" tabindex="-1" title="' + editor.lang.image.resetSize +
-														'" class="cke_btn_reset" id="btnResetSize" role="button"></a>'+
+														'" class="cke_btn_reset" id="btnResetSize" role="button"><span class="cke_label">' + editor.lang.image.resetSize + '</span></a>'+
 														'</div>'
 												}
Index: CKEditor/branches/features/aria/_source/skins/kama/dialog.css
===================================================================
--- CKEditor/branches/features/aria/_source/skins/kama/dialog.css	(revision 4953)
+++ CKEditor/branches/features/aria/_source/skins/kama/dialog.css	(revision 4954)
@@ -762,4 +762,14 @@
 	top: 3px;
 }
+
+.cke_skin_kama .cke_dialog_body .cke_label
+{
+	display: none;
+}
+.cke_skin_kama .cke_hc .cke_dialog_body .cke_label
+{
+	display: inline;
+}
+
 .cke_skin_kama .cke_hc a.cke_btn_locked,
 .cke_skin_kama .cke_hc a.cke_btn_unlocked,
@@ -767,4 +777,13 @@
 {
 	border-style: solid;
+	float:left;
+	width:auto;
+	height:auto;
+}
+.cke_skin_kama .cke_rtl.cke_hc a.cke_btn_locked,
+.cke_skin_kama .cke_rtl.cke_hc a.cke_btn_unlocked,
+.cke_skin_kama .cke_rtl.cke_hc a.cke_btn_reset
+{
+	float:right;
 }
 
Index: CKEditor/branches/features/aria/_source/skins/office2003/dialog.css
===================================================================
--- CKEditor/branches/features/aria/_source/skins/office2003/dialog.css	(revision 4953)
+++ CKEditor/branches/features/aria/_source/skins/office2003/dialog.css	(revision 4954)
@@ -682,4 +682,13 @@
 }
 
+.cke_skin_office2003 .cke_dialog_body .cke_label
+{
+	display: none;
+}
+.cke_skin_office2003 .cke_hc .cke_dialog_body .cke_label
+{
+	display: inline;
+}
+
 .cke_skin_office2003 .cke_hc a.cke_btn_locked,
 .cke_skin_office2003 .cke_hc a.cke_btn_unlocked,
@@ -687,3 +696,14 @@
 {
 	border-style: solid;
-}
+	float:left;
+	width:auto;
+	height:auto;
+}
+.cke_skin_office2003 .cke_rtl.cke_hc a.cke_btn_locked,
+.cke_skin_office2003 .cke_rtl.cke_hc a.cke_btn_unlocked,
+.cke_skin_office2003 .cke_rtl.cke_hc a.cke_btn_reset
+{
+	float:right;
+}
+
+
Index: CKEditor/branches/features/aria/_source/skins/v2/dialog.css
===================================================================
--- CKEditor/branches/features/aria/_source/skins/v2/dialog.css	(revision 4953)
+++ CKEditor/branches/features/aria/_source/skins/v2/dialog.css	(revision 4954)
@@ -681,4 +681,14 @@
 	top: 3px;
 }
+
+.cke_skin_v2 .cke_dialog_body .cke_label
+{
+	display: none;
+}
+.cke_skin_v2 .cke_hc .cke_dialog_body .cke_label
+{
+	display: inline;
+}
+
 .cke_skin_v2 .cke_hc a.cke_btn_locked,
 .cke_skin_v2 .cke_hc a.cke_btn_unlocked,
@@ -686,4 +696,14 @@
 {
 	border-style: solid;
+	float:left;
+	width:auto;
+	height:auto;
+}
+
+.cke_skin_v2 .cke_rtl.cke_hc a.cke_btn_locked,
+.cke_skin_v2 .cke_rtl.cke_hc a.cke_btn_unlocked,
+.cke_skin_v2 .cke_rtl.cke_hc a.cke_btn_reset
+{
+	float:right;
 }
 