Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 5046)
+++ CKEditor/trunk/CHANGES.html	(revision 5047)
@@ -83,4 +83,5 @@
 		<li><a href="http://dev.fckeditor.net/ticket/4716">#4716</a> : [IE] Cursor remain blinking in editor when focus is moved to any button that following.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5096">#5096</a> : Simple ampersand attribute value doesn't work for more than once occurance.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/3494">#3494</a> : Context menu is too narrow in some translations.</li>
 		<li>Updated the following language files:<ul>
 			<li><a href="http://dev.fckeditor.net/ticket/5006">#5006</a> : Dutch;</li>
Index: CKEditor/trunk/_source/plugins/floatpanel/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/floatpanel/plugin.js	(revision 5046)
+++ CKEditor/trunk/_source/plugins/floatpanel/plugin.js	(revision 5047)
@@ -136,4 +136,7 @@
 					});
 
+				// To allow the context menu to decrease back their width
+				element.getFirst().removeStyle('width');
+
 				// Configure the IFrame blur event. Do that only once.
 				if ( !this._.blurSet )
@@ -193,7 +196,32 @@
 						var panelLoad = CKEDITOR.tools.bind( function ()
 						{
+							var target = element.getFirst();
+
 							if ( block.autoSize )
 							{
-								var target = element.getFirst();
+								// We must adjust first the width or IE6 could include extra lines in the height computation
+								var widthNode = block.element.$;
+
+								if ( CKEDITOR.env.gecko || CKEDITOR.env.opera)
+									widthNode = widthNode.parentNode;
+
+								if ( CKEDITOR.env.ie)
+									widthNode = widthNode.document.body;
+
+								var width = widthNode.scrollWidth;
+								// Account for extra height needed due to IE quirks box model bug:
+								// http://en.wikipedia.org/wiki/Internet_Explorer_box_model_bug
+								// (#3426)
+								if ( CKEDITOR.env.ie && CKEDITOR.env.quirks && width > 0 )
+									width += ( target.$.offsetWidth || 0 ) - ( target.$.clientWidth || 0 );
+								// A little extra at the end.
+								// If not present, IE6 might break into the next line, but also it looks better this way
+								width += 4 ;
+
+								target.setStyle( 'width', width + 'px' );
+
+								// IE doesn't compute the scrollWidth if a filter is applied previously
+								block.element.addClass( 'cke_frameLoaded')
+
 								var height = block.element.$.scrollHeight;
 
@@ -210,5 +238,5 @@
 							}
 							else
-								element.getFirst().removeStyle( 'height' );
+								target.removeStyle( 'height' );
 
 							var panelElement = panel.element,
Index: CKEditor/trunk/_source/skins/kama/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/kama/menu.css	(revision 5046)
+++ CKEditor/trunk/_source/skins/kama/menu.css	(revision 5047)
@@ -95,6 +95,8 @@
 	margin-left: 24px;
 	background-color: #fff;
-	_overflow: hidden;
-	_width: 80px;
+}
+/* Set these after the document has been loaded and we know the dimensions*/
+.cke_skin_kama .cke_frameLoaded .cke_menuitem .cke_label
+{
 	filter: alpha(opacity=70); /* IE */
 	opacity: 0.70; /* Safari, Opera and Mozilla */
Index: CKEditor/trunk/_source/skins/office2003/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/menu.css	(revision 5046)
+++ CKEditor/trunk/_source/skins/office2003/menu.css	(revision 5047)
@@ -94,6 +94,8 @@
 	margin-left: 24px;
 	background-color: #fff;
-	_overflow: hidden;
-	_width: 80px;
+}
+/* Set these after the document has been loaded and we know the dimensions*/
+.cke_skin_office2003 .cke_frameLoaded .cke_menuitem .cke_label
+{
 	filter: alpha(opacity=70); /* IE */
 	opacity: 0.70; /* Safari, Opera and Mozilla */
Index: CKEditor/trunk/_source/skins/v2/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/menu.css	(revision 5046)
+++ CKEditor/trunk/_source/skins/v2/menu.css	(revision 5047)
@@ -94,6 +94,8 @@
 	margin-left: 24px;
 	background-color: #fff;
-	_overflow: hidden;
-	_width: 80px;
+}
+/* Set these after the document has been loaded and we know the dimensions*/
+.cke_skin_v2 .cke_frameLoaded .cke_menuitem .cke_label
+{
 	filter: alpha(opacity=70); /* IE */
 	opacity: 0.70; /* Safari, Opera and Mozilla */