Index: CKEditor/trunk/_source/core/htmlparser/basicwriter.js
===================================================================
--- CKEditor/trunk/_source/core/htmlparser/basicwriter.js	(revision 5094)
+++ CKEditor/trunk/_source/core/htmlparser/basicwriter.js	(revision 5095)
@@ -63,5 +63,5 @@
 			// Browsers don't always escape quote in attribute values. (#4683)
 			if ( typeof attValue == 'string' )
-				attValue = attValue.replace( /"/g, '&quot;' )
+				attValue = attValue.replace( /"/g, '&quot;' );
 
 			this._.output.push( ' ', attName, '="', attValue, '"' );
Index: CKEditor/trunk/_source/plugins/dialogui/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialogui/plugin.js	(revision 5094)
+++ CKEditor/trunk/_source/plugins/dialogui/plugin.js	(revision 5095)
@@ -956,5 +956,5 @@
 				setValue : function( value )
 				{
-					value = ( value != null ) ? value : '';
+					!value && ( value = '' );
 					return CKEDITOR.ui.dialog.uiElement.prototype.setValue.call( this, value );
 				},
Index: CKEditor/trunk/_source/plugins/floatpanel/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/floatpanel/plugin.js	(revision 5094)
+++ CKEditor/trunk/_source/plugins/floatpanel/plugin.js	(revision 5095)
@@ -222,5 +222,5 @@
 
 								// IE doesn't compute the scrollWidth if a filter is applied previously
-								block.element.addClass( 'cke_frameLoaded')
+								block.element.addClass( 'cke_frameLoaded' );
 
 								var height = block.element.$.scrollHeight;
Index: CKEditor/trunk/_source/plugins/htmlwriter/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/htmlwriter/plugin.js	(revision 5094)
+++ CKEditor/trunk/_source/plugins/htmlwriter/plugin.js	(revision 5095)
@@ -177,5 +177,5 @@
 				this.forceSimpleAmpersand && ( attValue = attValue.replace( /&amp;/g, '&' ) );
 				// Browsers don't always escape quote in attribute values. (#4683)
-				attValue = attValue.replace( /"/g, '&quot;' )
+				attValue = attValue.replace( /"/g, '&quot;' );
 			}
 
Index: CKEditor/trunk/_source/plugins/image/dialogs/image.js
===================================================================
--- CKEditor/trunk/_source/plugins/image/dialogs/image.js	(revision 5094)
+++ CKEditor/trunk/_source/plugins/image/dialogs/image.js	(revision 5095)
@@ -803,5 +803,5 @@
 															borderStyle = borderStyle && borderStyle.match( /^(\d+px)(?: \1 \1 \1)?$/ );
 															value = borderStyle && parseInt( borderStyle[ 1 ], 10 );
-															isNaN ( parseInt( value ) ) && ( value = element.getAttribute( 'border' ) );
+															isNaN ( parseInt( value, 10 ) ) && ( value = element.getAttribute( 'border' ) );
 															this.setValue( value );
 														}
@@ -872,5 +872,5 @@
 
 															value = ( marginLeftPx == marginRightPx ) && marginLeftPx;
-															isNaN( parseInt( value ) ) && ( value = element.getAttribute( 'hspace' ) );
+															isNaN( parseInt( value, 10 ) ) && ( value = element.getAttribute( 'hspace' ) );
 
 															this.setValue( value );
@@ -940,5 +940,5 @@
 
 															value = ( marginTopPx == marginBottomPx ) && marginTopPx;
-															isNaN ( parseInt( value ) ) && ( value = element.getAttribute( 'vspace' ) );
+															isNaN ( parseInt( value, 10 ) ) && ( value = element.getAttribute( 'vspace' ) );
 															this.setValue( value );
 														}
Index: CKEditor/trunk/_source/plugins/link/dialogs/link.js
===================================================================
--- CKEditor/trunk/_source/plugins/link/dialogs/link.js	(revision 5094)
+++ CKEditor/trunk/_source/plugins/link/dialogs/link.js	(revision 5095)
@@ -101,7 +101,7 @@
 			retval = {};
 
-		if( javascriptMatch = href.match( javascriptProtocolRegex ) )
+		if ( ( javascriptMatch = href.match( javascriptProtocolRegex ) ) )
 		{
-			if( emailProtection == 'encode' )
+			if ( emailProtection == 'encode' )
 			{
 				href = href.replace( encodedEmailLinkRegex,
@@ -111,8 +111,8 @@
 							       String.fromCharCode.apply( String, protectedAddress.split( ',' ) ) +
 							       ( rest && unescapeSingleQuote( rest ) );
-						} );
+						});
 			}
 			// Protected email link as function call.
-			else if( emailProtection )
+			else if ( emailProtection )
 			{
 				href.replace( functionCallProtectedEmailLinkRegex, function( match, funcName, funcArgs )
@@ -151,5 +151,5 @@
 			}
 			// Protected email link as encoded string.
-			else if ( emailMatch = href.match( emailRegex ) )
+			else if ( ( emailMatch = href.match( emailRegex ) ) )
 			{
 				var subjectMatch = href.match( emailSubjectRegex ),
Index: CKEditor/trunk/_source/plugins/selection/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/selection/plugin.js	(revision 5094)
+++ CKEditor/trunk/_source/plugins/selection/plugin.js	(revision 5095)
@@ -476,8 +476,8 @@
 								// When selection stay at the side of certain self-closing elements, e.g. BR,
 								// our comparison will never shows an equality. (#4824)
-								else if ( comparisonStart == 0
+								else if ( !comparisonStart
 									|| comparisonEnd == 1 && comparisonStart == -1 )
 									return { container : parent, offset : i };
-								else if( comparisonEnd == 0 )
+								else if ( !comparisonEnd )
 									return { container : parent, offset : i + 1 };
 
Index: CKEditor/trunk/_source/plugins/tabletools/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/tabletools/plugin.js	(revision 5094)
+++ CKEditor/trunk/_source/plugins/tabletools/plugin.js	(revision 5095)
@@ -137,5 +137,5 @@
 						rowIndex = row.$.rowIndex;
 
-				i == 0 && ( previousRowIndex = rowIndex - 1 );
+				!i && ( previousRowIndex = rowIndex - 1 );
 				rowsToDelete[ rowIndex ] = row;
 				i == cellsCount - 1 && ( nextRowIndex = rowIndex + 1 );
@@ -165,5 +165,5 @@
 		else if ( selectionOrRow instanceof CKEDITOR.dom.element )
 		{
-			var table = selectionOrRow.getAscendant( 'table' );
+			table = selectionOrRow.getAscendant( 'table' );
 
 			if ( table.$.rows.length == 1 )
@@ -172,4 +172,6 @@
 				selectionOrRow.remove();
 		}
+
+		return 0;
 	}
 