Index: CKEditor/trunk/_source/core/dom/range.js
===================================================================
--- CKEditor/trunk/_source/core/dom/range.js	(revision 5149)
+++ CKEditor/trunk/_source/core/dom/range.js	(revision 5150)
@@ -134,5 +134,5 @@
 			currentNode = levelStartNode.getNext();
 
-			while( currentNode )
+			while ( currentNode )
 			{
 				// Stop processing when the current node matches a node in the
@@ -181,5 +181,5 @@
 				currentNode = levelStartNode.getPrevious();
 
-				while( currentNode )
+				while ( currentNode )
 				{
 					// Stop processing when the current node matches a node in the
Index: CKEditor/trunk/_source/core/htmlparser/element.js
===================================================================
--- CKEditor/trunk/_source/core/htmlparser/element.js	(revision 5149)
+++ CKEditor/trunk/_source/core/htmlparser/element.js	(revision 5150)
@@ -172,5 +172,5 @@
 			// Iterate over the attributes twice since filters may alter
 			// other attributes.
-			for( var i = 0 ; i < 2; i++ )
+			for ( var i = 0 ; i < 2; i++ )
 			{
 				for ( a in attributes )
Index: CKEditor/trunk/_source/core/xml.js
===================================================================
--- CKEditor/trunk/_source/core/xml.js	(revision 5149)
+++ CKEditor/trunk/_source/core/xml.js	(revision 5150)
@@ -120,5 +120,5 @@
 				{
 					var node;
-					while( ( node = result.iterateNext() ) )
+					while ( ( node = result.iterateNext() ) )
 						nodes.push( node );
 				}
Index: CKEditor/trunk/_source/plugins/dialog/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 5150)
@@ -1748,5 +1748,5 @@
 				var dialogPos = cursor.getPosition();
 				cursor.move( dialogPos.x, dialogPos.y );
-			} while( ( cursor = cursor._.parentDialog ) );
+			} while ( ( cursor = cursor._.parentDialog ) );
 		};
 
Index: CKEditor/trunk/_source/plugins/div/dialogs/div.js
===================================================================
--- CKEditor/trunk/_source/plugins/div/dialogs/div.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/div/dialogs/div.js	(revision 5150)
@@ -28,5 +28,5 @@
 		var retval = [];
 		var children = element.getChildren();
-		for( var i = 0 ; i < children.count() ; i++ )
+		for ( var i = 0 ; i < children.count() ; i++ )
 		{
 			var child = children.getItem( i );
@@ -150,8 +150,8 @@
 
 			// collect all included elements from dom-iterator
-			for( i = 0 ; i < ranges.length ; i++ )
+			for ( i = 0 ; i < ranges.length ; i++ )
 			{
 				iterator = ranges[ i ].createIterator();
-				while( ( block = iterator.getNextParagraph() ) )
+				while ( ( block = iterator.getNextParagraph() ) )
 				{
 					// include contents of blockLimit elements.
@@ -165,5 +165,5 @@
 					{
 						// Bypass dtd disallowed elements.
-						while( !dtd[ block.getName() ] && block.getName() != 'body' )
+						while ( !dtd[ block.getName() ] && block.getName() != 'body' )
 							block = block.getParent();
 						addSafely( containedBlocks, block, database );
@@ -177,5 +177,5 @@
 			var ancestor, blockEl, divElement;
 
-			for( i = 0 ; i < blockGroups.length ; i++ )
+			for ( i = 0 ; i < blockGroups.length ; i++ )
 			{
 				var currentNode = blockGroups[ i ][ 0 ];
@@ -189,9 +189,9 @@
 
 				// Normalize the blocks in each group to a common parent.
-				for( j = 0; j < blockGroups[ i ].length ; j++ )
+				for ( j = 0; j < blockGroups[ i ].length ; j++ )
 				{
 					currentNode = blockGroups[ i ][ j ];
 
-					while( !currentNode.getParent().equals( ancestor ) )
+					while ( !currentNode.getParent().equals( ancestor ) )
 						currentNode = currentNode.getParent();
 
@@ -417,5 +417,5 @@
 
 				// Update elements attributes
-				for( var i = 0 ; i < containers.length ; i++ )
+				for ( var i = 0 ; i < containers.length ; i++ )
 					this.commitContent( containers[ i ] );
 				this.hide();
Index: CKEditor/trunk/_source/plugins/find/dialogs/find.js
===================================================================
--- CKEditor/trunk/_source/plugins/find/dialogs/find.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/find/dialogs/find.js	(revision 5150)
@@ -712,5 +712,5 @@
 										}
 										editor.fire( 'saveSnapshot' );
-										while( finder.replace( dialog,
+										while ( finder.replace( dialog,
 											dialog.getValueOf( 'replace', 'txtFindReplace' ),
 											dialog.getValueOf( 'replace', 'txtReplace' ),
Index: CKEditor/trunk/_source/plugins/floatpanel/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/floatpanel/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/floatpanel/plugin.js	(revision 5150)
@@ -372,5 +372,5 @@
 		var isLastInstance = CKEDITOR.tools.isEmpty( CKEDITOR.instances );
 
-		for( var i in panels )
+		for ( var i in panels )
 		{
 			var panel = panels[ i ];
Index: CKEditor/trunk/_source/plugins/forms/dialogs/select.js
===================================================================
--- CKEditor/trunk/_source/plugins/forms/dialogs/select.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/forms/dialogs/select.js	(revision 5150)
@@ -74,5 +74,5 @@
 	{
 		combo = getSelect( combo );
-		while( combo.getChild( 0 ) && combo.getChild( 0 ).remove() )
+		while ( combo.getChild( 0 ) && combo.getChild( 0 ).remove() )
 		{ /*jsl:pass*/ }
 	}
Index: CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 5150)
@@ -17,5 +17,5 @@
 		var lastIndex = block.children.length,
 			last = block.children[ lastIndex - 1 ];
-		while(  last && last.type == CKEDITOR.NODE_TEXT && !CKEDITOR.tools.trim( last.value ) )
+		while (  last && last.type == CKEDITOR.NODE_TEXT && !CKEDITOR.tools.trim( last.value ) )
 			last = block.children[ --lastIndex ];
 		return last;
Index: CKEditor/trunk/_source/plugins/indent/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/indent/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/indent/plugin.js	(revision 5150)
@@ -178,5 +178,5 @@
 
 				// Nest preceding <ul>/<ol> inside current <li> if any.
-				while( ( followingList = followingList.getNext() ) &&
+				while ( ( followingList = followingList.getNext() ) &&
 					   followingList.is &&
 					   followingList.getName() in listNodeNames )
Index: CKEditor/trunk/_source/plugins/link/dialogs/link.js
===================================================================
--- CKEditor/trunk/_source/plugins/link/dialogs/link.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/link/dialogs/link.js	(revision 5150)
@@ -239,5 +239,5 @@
 			anchors = retval.anchors = [];
 
-		for( var i = 0; i < elements.count() ; i++ )
+		for ( var i = 0; i < elements.count() ; i++ )
 		{
 			var item = elements.getItem( i );
Index: CKEditor/trunk/_source/plugins/list/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/list/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/list/plugin.js	(revision 5150)
@@ -595,9 +595,9 @@
 
 	var defaultListDataFilterRules = { elements : {} };
-	for( var i in dtd.$listItem )
+	for ( var i in dtd.$listItem )
 		defaultListDataFilterRules.elements[ i ] = getExtendNestedListFilter();
 
 	var defaultListHtmlFilterRules = { elements : {} };
-	for( i in dtd.$listItem )
+	for ( i in dtd.$listItem )
 		defaultListHtmlFilterRules.elements[ i ] = getExtendNestedListFilter( true );
 
Index: CKEditor/trunk/_source/plugins/listblock/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/listblock/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/listblock/plugin.js	(revision 5150)
@@ -210,5 +210,5 @@
 								i = -1;
 
-							while( ( link = links.getItem( ++i ) ) )
+							while ( ( link = links.getItem( ++i ) ) )
 							{
 								if ( link.equals( selected ) )
Index: CKEditor/trunk/_source/plugins/pastefromword/filter/default.js
===================================================================
--- CKEditor/trunk/_source/plugins/pastefromword/filter/default.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/pastefromword/filter/default.js	(revision 5150)
@@ -81,5 +81,5 @@
 			if ( typeof name == 'object' )
 			{
-				for( var style in name )
+				for ( var style in name )
 				{
 					if ( name.hasOwnProperty( style ) )
@@ -422,5 +422,5 @@
 									var diff = indent - listItemIndent,
 										parent;
-									while( diff-- && ( parent = list.parent ) )
+									while ( diff-- && ( parent = list.parent ) )
 										list = parent.parent;
 
@@ -478,5 +478,5 @@
 										 newValue,
 										 newName;
-									 for( var i = 0 ; i < styles.length; i++ )
+									 for ( var i = 0 ; i < styles.length; i++ )
 									 {
 										if ( styles[ i ] )
Index: CKEditor/trunk/_source/plugins/scayt/dialogs/options.js
===================================================================
--- CKEditor/trunk/_source/plugins/scayt/dialogs/options.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/scayt/dialogs/options.js	(revision 5150)
@@ -38,5 +38,5 @@
 			return;
 		}
-		for(var i = 0; i < radioLength; i++) {
+		for (var i = 0; i < radioLength; i++) {
 			radioObj[i].checked = false;
 			if (radioObj[i].value == newValue.toString()) {
Index: CKEditor/trunk/_source/plugins/selection/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/selection/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/selection/plugin.js	(revision 5150)
@@ -656,5 +656,5 @@
 							// selected node on the start which doesn't have
 							// visual impact. ( #3231 )
-							while( true )
+							while ( true )
 							{
 								var startContainer = range.startContainer,
Index: CKEditor/trunk/_source/plugins/specialchar/dialogs/specialchar.js
===================================================================
--- CKEditor/trunk/_source/plugins/specialchar/dialogs/specialchar.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/specialchar/dialogs/specialchar.js	(revision 5150)
@@ -253,5 +253,5 @@
 				html.push( '<tr>' ) ;
 
-				for( var j = 0 ; j < columns ; j++, i++ )
+				for ( var j = 0 ; j < columns ; j++, i++ )
 				{
 					if ( chars[ i ] )
Index: CKEditor/trunk/_source/plugins/styles/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/styles/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/styles/plugin.js	(revision 5150)
@@ -688,5 +688,5 @@
 		var previousPreBlock;
 
-		while( ( block = iterator.getNextParagraph() ) )		// Only one =
+		while ( ( block = iterator.getNextParagraph() ) )		// Only one =
 		{
 			var newBlock = getElement( this, doc );
Index: CKEditor/trunk/_source/plugins/tab/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/tab/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/tab/plugin.js	(revision 5150)
@@ -111,5 +111,5 @@
 		element = this.getNextSourceNode( ignoreChildren, CKEDITOR.NODE_ELEMENT );
 
-		while( element )
+		while ( element )
 		{
 			if ( element.isVisible() && element.getTabIndex() === 0 )
@@ -132,5 +132,5 @@
 		element = this.getDocument().getBody().getFirst();
 
-		while( ( element = element.getNextSourceNode( false, CKEDITOR.NODE_ELEMENT ) ) )
+		while ( ( element = element.getNextSourceNode( false, CKEDITOR.NODE_ELEMENT ) ) )
 		{
 			if ( !passedCurrent )
@@ -195,5 +195,5 @@
 	var element = this.getDocument().getBody().getLast();
 
-	while( ( element = element.getPreviousSourceNode( false, CKEDITOR.NODE_ELEMENT ) ) )
+	while ( ( element = element.getPreviousSourceNode( false, CKEDITOR.NODE_ELEMENT ) ) )
 	{
 		if ( !passedCurrent )
Index: CKEditor/trunk/_source/plugins/table/dialogs/table.js
===================================================================
--- CKEditor/trunk/_source/plugins/table/dialogs/table.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/table/dialogs/table.js	(revision 5150)
@@ -155,5 +155,5 @@
 					if ( !this.hasColumnHeaders && ( headers == 'col' || headers == 'both' ) )
 					{
-						for( row = 0 ; row < table.$.rows.length ; row++ )
+						for ( row = 0 ; row < table.$.rows.length ; row++ )
 						{
 							newCell = new CKEDITOR.dom.element( table.$.rows[ row ].cells[ 0 ] );
@@ -166,5 +166,5 @@
 					if ( ( this.hasColumnHeaders ) && !( headers == 'col' || headers == 'both' ) )
 					{
-						for( i = 0 ; i < table.$.rows.length ; i++ )
+						for ( i = 0 ; i < table.$.rows.length ; i++ )
 						{
 							row = new CKEDITOR.dom.element( table.$.rows[i] );
Index: CKEditor/trunk/_source/plugins/templates/dialogs/templates.js
===================================================================
--- CKEditor/trunk/_source/plugins/templates/dialogs/templates.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/templates/dialogs/templates.js	(revision 5150)
@@ -40,10 +40,10 @@
 		var html = '<table style="width:350px;" class="cke_tpl_preview"><tr>';
 
-		if( template.image && imagesPath )
+		if ( template.image && imagesPath )
 			html += '<td class="cke_tpl_preview_img"><img src="' + CKEDITOR.getUrl( imagesPath + template.image ) + '"></td>';
 
 		html += '<td style="white-space:normal;"><span class="cke_tpl_title">' + template.title + '</span><br/>';
 
-		if( template.description )
+		if ( template.description )
 			html += '<span>' + template.description + '</span>';
 
@@ -80,5 +80,5 @@
 			isInsert = dialog.getValueOf( 'selectTpl', 'chkInsertOpt' );
 
-		if( isInsert )
+		if ( isInsert )
 		{
 			// Everything should happen after the document is loaded (#4073).
Index: CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 5149)
+++ CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 5150)
@@ -90,5 +90,5 @@
 				if ( isBlock )
 				{
-					while( ( current = range.getCommonAncestor( false, true ) )
+					while ( ( current = range.getCommonAncestor( false, true ) )
 							&& ( dtd = CKEDITOR.dtd[ current.getName() ] )
 							&& !( dtd && dtd [ elementName ] ) )
@@ -447,5 +447,5 @@
 								{
 									var first = body;
-									while( first.firstChild )
+									while ( first.firstChild )
 										first = first.firstChild;
 
@@ -796,5 +796,5 @@
 								editor,
 								doc;
-							for( var i in allInstances )
+							for ( var i in allInstances )
 							{
 								editor = allInstances[ i ];