Index: CKEditor/branches/versions/3.2.x/_source/plugins/pastefromword/filter/default.js
===================================================================
--- CKEditor/branches/versions/3.2.x/_source/plugins/pastefromword/filter/default.js	(revision 4910)
+++ CKEditor/branches/versions/3.2.x/_source/plugins/pastefromword/filter/default.js	(revision 5151)
@@ -26,5 +26,5 @@
 		{
 			child = children[ i ];
-			if( !child.name )
+			if ( !child.name )
 				continue;
 
@@ -81,7 +81,7 @@
 			if ( typeof name == 'object' )
 			{
-				for( var style in name )
-				{
-					if( name.hasOwnProperty( style ) )
+				for ( var style in name )
+				{
+					if ( name.hasOwnProperty( style ) )
 						addingStyleText += style + ':' + name[ style ] + ';';
 				}
@@ -94,5 +94,5 @@
 		}
 
-		if( !this.attributes )
+		if ( !this.attributes )
 			this.attributes = {};
 
@@ -187,5 +187,5 @@
 			{
 				var styleText = element.attributes && element.attributes.style;
-				if( /mso-list\s*:\s*Ignore/i.test( styleText ) )
+				if ( /mso-list\s*:\s*Ignore/i.test( styleText ) )
 					return true;
 			},
@@ -258,5 +258,5 @@
 				return function( cssLength )
 				{
-					if( cssLengthRelativeUnit.test( cssLength ) )
+					if ( cssLengthRelativeUnit.test( cssLength ) )
 					{
 						calculator.setStyle( 'width', cssLength );
@@ -329,5 +329,5 @@
 						var attributes = child.attributes;
 
-						if( child.name in CKEDITOR.dtd.$listItem )
+						if ( child.name in CKEDITOR.dtd.$listItem )
 						{
 							var listItemChildren = child.children,
@@ -336,5 +336,5 @@
 
 							// Move out nested list.
-							if( last.name in CKEDITOR.dtd.$list )
+							if ( last.name in CKEDITOR.dtd.$list )
 							{
 								children.splice( i + 1, 0, last );
@@ -422,5 +422,5 @@
 									var diff = indent - listItemIndent,
 										parent;
-									while( diff-- && ( parent = list.parent ) )
+									while ( diff-- && ( parent = list.parent ) )
 										list = parent.parent;
 
@@ -478,7 +478,7 @@
 										 newValue,
 										 newName;
-									 for( var i = 0 ; i < styles.length; i++ )
+									 for ( var i = 0 ; i < styles.length; i++ )
 									 {
-										if( styles[ i ] )
+										if ( styles[ i ] )
 										{
 											namePattern = styles[ i ][ 0 ];
@@ -493,13 +493,13 @@
 												whitelist && ( newValue = newValue || value );
 
-												if( typeof newValue == 'function' )
+												if ( typeof newValue == 'function' )
 													newValue = newValue( value, element, name );
 
 												// Return an couple indicate both name and value
 												// changed.
-												if( newValue && newValue.push )
+												if ( newValue && newValue.push )
 													name = newValue[ 0 ], newValue = newValue[ 1 ];
 
-												if( typeof newValue == 'string' )
+												if ( typeof newValue == 'string' )
 													rules.push( [ name, newValue ] );
 												return;
@@ -568,5 +568,5 @@
 				bogusAttrFilter : function( value, element )
 				{
-					if( element.name.indexOf( 'cke:' ) == -1 )
+					if ( element.name.indexOf( 'cke:' ) == -1 )
 						return false;
 				},
@@ -646,5 +646,5 @@
 							element.filterChildren();
 							// Is the heading actually a list item?
-							if( resolveListItem( element ) )
+							if ( resolveListItem( element ) )
 								return;
 
@@ -721,10 +721,10 @@
 
 													// Reject MS-Word Normal styles.
-													if( className.match( /MsoNormal/ ) )
+													if ( className.match( /MsoNormal/ ) )
 														return;
 
-													if( !rules[ tagName ] )
+													if ( !rules[ tagName ] )
 														rules[ tagName ] = {};
-													if( className )
+													if ( className )
 														rules[ tagName ][ className ] = styleBlock;
 													else
@@ -739,8 +739,8 @@
 										className = element.attributes && element.attributes[ 'class' ],
 										style;
-									if( name in rules )
+									if ( name in rules )
 									{
 										style = rules[ name ];
-										if( typeof style == 'object' )
+										if ( typeof style == 'object' )
 											style = style[ className ];
 										// Maintain style rules priorities.
@@ -783,5 +783,5 @@
 						// Instead we use a clear-float div after the table to properly achieve the same layout.
 						var singleChild = element.onlyChild();
-						if( singleChild && singleChild.name == 'table' )
+						if ( singleChild && singleChild.name == 'table' )
 						{
 							var attrs = element.attributes;
@@ -925,5 +925,5 @@
 					{
 						var attrs = element.attributes;
-						if( attrs && !attrs.href && attrs.name )
+						if ( attrs && !attrs.href && attrs.name )
 							delete element.name;
 					},
@@ -984,5 +984,5 @@
 							function( value, element )
 							{
-								if( element.name == 'img' )
+								if ( element.name == 'img' )
 									return value;
 							} ],
@@ -991,5 +991,5 @@
 							function( value, element )
 							{
-								if( element.name in { table : 1, td : 1, th : 1, img : 1 } )
+								if ( element.name in { table : 1, td : 1, th : 1, img : 1 } )
 									return value;
 							} ]
@@ -1001,7 +1001,7 @@
 						[ ( /-color$/ ), null, function( value )
 						{
-							if( value == 'transparent' )
+							if ( value == 'transparent' )
 								return false;
-							if( CKEDITOR.env.gecko )
+							if ( CKEDITOR.env.gecko )
 								return value.replace( /-moz-use-text-color/g, 'transparent' );
 						} ],
@@ -1018,5 +1018,5 @@
 					'width' : function( value, element )
 					{
-						if( element.name in dtd.$tableContent )
+						if ( element.name in dtd.$tableContent )
 							return false;
 					},
@@ -1024,5 +1024,5 @@
 					'border' : function( value, element )
 					{
-						if( element.name in dtd.$tableContent )
+						if ( element.name in dtd.$tableContent )
 							return false;
 					},
@@ -1065,5 +1065,5 @@
 
 							// Reveal the <img> element in conditional comments for Firefox.
-							if( CKEDITOR.env.gecko && imageInfo )
+							if ( CKEDITOR.env.gecko && imageInfo )
 							{
 								var img = CKEDITOR.htmlParser.fragment.fromHtml( imageInfo[ 0 ] ).children[ 0 ],
@@ -1108,5 +1108,5 @@
 		// comments, fixing them first( convert it to upperlevel-revealed one ).
 		// e.g. <![if !vml]>...<![endif]>
-		if( CKEDITOR.env.gecko )
+		if ( CKEDITOR.env.gecko )
 			data = data.replace( /(<!--\[if[^<]*?\])-->([\S\s]*?)<!--(\[endif\]-->)/gi, '$1$2$3' );
 